pass_template: 
    samplerstates:
        samLinear:
            filter: MIN_MAG_MIP_LINEAR
            addressU: CLAMP
            addressV: CLAMP
    type: match-color-input
    constant-buffers: 
        globalParams: {screenSize: SCREEN_SIZE, elapsedTime: ELAPSED_TIME, captureState: CAPTURE_STATE}
        controlBuf: {g_sldGamma: gammaSlider, g_sldContrast : contrastSlider} 

typical_slider:
      type: float
      minimum-value: -1.0
      maximum-value: 1.0
      default-value: 0.0
      ui-sticky-region: 0.01
      ui-value-unit: "%"
      ui-value-min: -100
      ui-value-max: 100
      ui-value-step: 5

user-constants:
    - name: gammaSlider 
      ui-label: "Gamma"
      ui-label-localized:
          ru-RU:  "Гамма"
          fr-FR:  "Gamma"
          it-IT:  "Gamma"
          de-DE:  "Gamma"
          es-ES:  "Gamma"
          es-MX:  "Gamma"
          zh-CHS: "伽马值"
          zh-CHT: "色差補正"
          ja-JP:  "ガンマ"
          cs-CZ:  "Gamma"
          da-DK:  "Gamma"
          el-GR:  "Γάμμα"
          en-UK:  "Gamma"
          fi-FI:  "Gamma"
          hu: "Gamma"
          ko-KR:  "감마"
          nl-NL:  "Gamma"
          nb-NO:  "Gamma"
          pl: "Gamma"
          pt-PT:  "Gama"
          pt-BR:  "Gama"
          sl-SI:  "Gama"
          sk-SK:  "Gama"
          sv-SE:  "Gamma"
          th-TH:  "แกมม่า"
          tr-TR:  "Gamma"        
      default-value: 0.0
      ui-sticky-value: 0.0
      import: [typical_slider]
    - name: contrastSlider 
      ui-label: "Contrast"
      ui-label-localized:
          ru-RU: "Контраст"
          fr-FR: "Contraste"
          it-IT: "Contrasto"
          de-DE: "Kontrast"
          es-ES: "Contraste"
          es-MX: "Contraste"
          zh-CHS: "对比度"
          zh-CHT: "對比度"
          ja-JP: "コントラスト"
          cs-CZ:  "Kontrast"
          da-DK:  "Kontrast"
          el-GR:  "Αντίθεση"
          en-UK:  "Contrast"
          fi-FI:  "Kontrasti"
          hu: "Kontraszt"
          ko-KR:  "대비"
          nl-NL:  "Contrast"
          nb-NO:  "Kontrast"
          pl: "Kontrast"
          pt-PT:  "Contraste"
          pt-BR:  "Contraste"
          sl-SI:  "Kontrast"
          sv-SE:  "Kontrast"
          sk-SK: "Kontrast"
          th-TH:  "คอนทราสต์"
          tr-TR:  "Kontrast"
      default-value: 0.0
      ui-sticky-value: 0.0
      import: [typical_slider]   
   
main:
    import: [pass_template]
    shader: PS_Contrast@Contrast.yfx
    textures:
        texColor:
            channel: PIPE_INPUTS_COLOR
